osgUtil::EdgeCollector::Triangle Struct Reference

`#include <EdgeCollector>`

Inheritance diagram for osgUtil::EdgeCollector::Triangle:

## Public Member Functions

| Triangle ()
void | clear ()
bool | operator< (const Triangle &rhs) const
void | setOrderedPoints (Point *p1, Point *p2, Point *p3)
float | distance (const osg::Vec3 &vertex) const
bool | isBoundaryTriangle () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< Point > | _p1
osg::ref_ptr< Point > | _p2
osg::ref_ptr< Point > | _p3
osg::ref_ptr< Point > | _op1
osg::ref_ptr< Point > | _op2
osg::ref_ptr< Point > | _op3
osg::ref_ptr< Edge > | _e1
osg::ref_ptr< Edge > | _e2
osg::ref_ptr< Edge > | _e3
osg::Plane | _plane

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## Triangle()

osgUtil::EdgeCollector::Triangle::Triangle | ( |  | ) |

inline

Referenced by operator<().

## Member Function Documentation

## clear()

void osgUtil::EdgeCollector::Triangle::clear | ( |  | ) |

## distance()

float osgUtil::EdgeCollector::Triangle::distance | ( | const osg::Vec3 & | vertex | ) | const

inline

References _plane.

## isBoundaryTriangle()

bool osgUtil::EdgeCollector::Triangle::isBoundaryTriangle | ( |  | ) | const

inline

References _e1, _e2, and _e3.

## operator<()

bool osgUtil::EdgeCollector::Triangle::operator< | ( | const Triangle & | rhs | ) | const

References Triangle().

## setOrderedPoints()

void osgUtil::EdgeCollector::Triangle::setOrderedPoints | ( | Point * | p1,
|  | Point * | p2,
|  | Point * | p3 )

## Member Data Documentation

## _e1

osg::ref_ptr<Edge> osgUtil::EdgeCollector::Triangle::_e1

Referenced by isBoundaryTriangle().

## _e2

osg::ref_ptr<Edge> osgUtil::EdgeCollector::Triangle::_e2

Referenced by isBoundaryTriangle().

## _e3

osg::ref_ptr<Edge> osgUtil::EdgeCollector::Triangle::_e3

Referenced by isBoundaryTriangle().

## _op1

osg::ref_ptr<Point> osgUtil::EdgeCollector::Triangle::_op1

## _op2

osg::ref_ptr<Point> osgUtil::EdgeCollector::Triangle::_op2

## _op3

osg::ref_ptr<Point> osgUtil::EdgeCollector::Triangle::_op3

## _p1

osg::ref_ptr<Point> osgUtil::EdgeCollector::Triangle::_p1

## _p2

osg::ref_ptr<Point> osgUtil::EdgeCollector::Triangle::_p2

## _p3

osg::ref_ptr<Point> osgUtil::EdgeCollector::Triangle::_p3

## _plane

osg::Plane osgUtil::EdgeCollector::Triangle::_plane

Referenced by distance().

The documentation for this struct was generated from the following file:

- EdgeCollector